SYNC(8)

NAME
sync - Synchronize data on disk with memory

SYNOPSIS
sync [options]

DESCRIPTION
This manual page briefly documents the sync command. This manual page was written for the Debian GNU/Linux distribution (but may be used by others), because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

sync writes any data buffered in memory out to disk. This can include (but is not limited to) modified superblocks, modified inodes, and delayed reads and writes. This must be implemented by the kernel; The sync program does nothing but exercise the sync(2) system call.

The kernel keeps data in memory to avoid doing (relatively slow) disk reads and writes. This improves performance, but if the computer crashes, data may be lost or the filesystem corrupted as a result. sync ensures everything in memory is written to disk.

OPTIONS
sync follows the usual GNU command line syntax, with long options starting with two dashes (`-').

--help
    Show summary of options.

--version
    Show version of program.

SEE ALSO
The original documentation is in GNU File Utilities, available via the Info system.

AUTHOR
This manual page was written by Galen Hazelwood, for the Debian GNU/Linux system.